Akeeba Backup for WordPress requires PHP 7.2.0 or later but your server only has PHP 7.0.33. Sociale Kwaliteit “Kom maar op met die mooie plannen” - Buurse.nl